#!/bin/bash
t=`date +%Y.%h.%d-%H.%d.%S`
(
sleep 2;
echo -e "\r";
sleep 1;
echo -e "read (0-15,0-15) \r";
sleep 5;
echo -e "set voltage limit 1800 \r";
echo -e "\r";
echo -e "write (0-15,0-15) -900\r"; sleep 10;

echo -e "write (0,0) -1419\r"; sleep 2;
echo -e "write (0,1) -1602\r"; sleep 2;
echo -e "write (0,2) -1325\r"; sleep 2;
echo -e "write (0,3) -1371\r"; sleep 2;
echo -e "write (0,4) -1558\r"; sleep 2;
echo -e "write (0,5) -1568\r"; sleep 2;
echo -e "write (0,6) -1270\r"; sleep 2;
echo -e "write (0,9) -1337\r"; sleep 2;
echo -e "write (0,10) -1260\r"; sleep 2;
echo -e "write (0,11) -1345\r"; sleep 2;
echo -e "write (0,12) -1232\r"; sleep 2;
echo -e "write (0,13) -1532\r"; sleep 2;
echo -e "write (0,14) -1394\r"; sleep 2;
echo -e "write (1,0) -1417\r"; sleep 2;
echo -e "write (1,1) -1232\r"; sleep 2;
echo -e "write (1,2) -1307\r"; sleep 2;
echo -e "write (1,3) -1417\r"; sleep 2;
echo -e "write (1,4) -1260\r"; sleep 2;
echo -e "write (1,5) -1317\r"; sleep 2;
echo -e "write (1,6) -1208\r"; sleep 2;
echo -e "write (1,9) -1505\r"; sleep 2;
echo -e "write (1,10) -1425\r"; sleep 2;
echo -e "write (1,11) -1536\r"; sleep 2;
echo -e "write (1,12) -1632\r"; sleep 2;
echo -e "write (1,13) -1432\r"; sleep 2;
echo -e "write (1,14) -1565\r"; sleep 2;
echo -e "write (2,0) -1559\r"; sleep 2;
echo -e "write (2,1) -1539\r"; sleep 2;
echo -e "write (2,2) -1600\r"; sleep 2;
echo -e "write (2,3) -1628\r"; sleep 2;
echo -e "write (2,4) -1272\r"; sleep 2;
echo -e "write (2,5) -1561\r"; sleep 2;
echo -e "write (2,6) -1393\r"; sleep 2;
echo -e "write (2,9) -1237\r"; sleep 2;
echo -e "write (2,10) -1471\r"; sleep 2;
echo -e "write (2,11) -1258\r"; sleep 2;
echo -e "write (2,12) -1426\r"; sleep 2;
echo -e "write (2,13) -1544\r"; sleep 2;
echo -e "write (2,14) -1344\r"; sleep 2;
echo -e "write (3,0) -1394\r"; sleep 2;
echo -e "write (3,1) -1588\r"; sleep 2;
echo -e "write (3,2) -1433\r"; sleep 2;
echo -e "write (3,3) -1518\r"; sleep 2;
echo -e "write (3,4) -1463\r"; sleep 2;
echo -e "write (3,5) -1356\r"; sleep 2;
echo -e "write (3,6) -1624\r"; sleep 2;
echo -e "write (3,9) -1492\r"; sleep 2;
echo -e "write (3,10) -1478\r"; sleep 2;
echo -e "write (3,11) -1501\r"; sleep 2;
echo -e "write (3,12) -1528\r"; sleep 2;
echo -e "write (3,13) -1376\r"; sleep 2;
echo -e "write (3,14) -1490\r"; sleep 2;
echo -e "write (4,0) -1427\r"; sleep 2;
echo -e "write (4,1) -1496\r"; sleep 2;
echo -e "write (4,2) -1686\r"; sleep 2;
echo -e "write (4,3) -1600\r"; sleep 2;
echo -e "write (4,4) -1388\r"; sleep 2;
echo -e "write (4,5) -1439\r"; sleep 2;
echo -e "write (4,6) -1452\r"; sleep 2;
echo -e "write (4,9) -1433\r"; sleep 2;
echo -e "write (4,10) -1468\r"; sleep 2;
echo -e "write (4,11) -1564\r"; sleep 2;
echo -e "write (4,12) -1602\r"; sleep 2;
echo -e "write (4,13) -1479\r"; sleep 2;
echo -e "write (4,14) -1605\r"; sleep 2;
echo -e "write (5,0) -1547\r"; sleep 2;
echo -e "write (5,1) -1600\r"; sleep 2;
echo -e "write (5,2) -1571\r"; sleep 2;
echo -e "write (5,3) -1324\r"; sleep 2;
echo -e "write (5,4) -1550\r"; sleep 2;
echo -e "write (5,5) -1630\r"; sleep 2;
echo -e "write (5,6) -1314\r"; sleep 2;
echo -e "write (5,9) -1625\r"; sleep 2;
echo -e "write (5,10) -1600\r"; sleep 2;
echo -e "write (5,11) -1638\r"; sleep 2;
echo -e "write (5,12) -1229\r"; sleep 2;
echo -e "write (5,13) -1600\r"; sleep 2;
echo -e "write (5,14) -1554\r"; sleep 2;
echo -e "write (6,0) -1600\r"; sleep 2;
echo -e "write (6,1) -1323\r"; sleep 2;
echo -e "write (6,2) -1130\r"; sleep 2;
echo -e "write (6,3) -1600\r"; sleep 2;
echo -e "write (6,4) -1243\r"; sleep 2;
echo -e "write (6,5) -1322\r"; sleep 2;
echo -e "write (6,6) -1218\r"; sleep 2;
echo -e "write (6,9) -1464\r"; sleep 2;
echo -e "write (6,10) -1270\r"; sleep 2;
echo -e "write (6,11) -1391\r"; sleep 2;
echo -e "write (6,12) -1600\r"; sleep 2;
echo -e "write (6,13) -1427\r"; sleep 2;
echo -e "write (6,14) -1337\r"; sleep 2;
echo -e "write (8,0) -1393\r"; sleep 2;
echo -e "write (8,1) -1365\r"; sleep 2;
echo -e "write (8,2) -1284\r"; sleep 2;
echo -e "write (8,3) -1232\r"; sleep 2;
echo -e "write (8,4) -1351\r"; sleep 2;
echo -e "write (8,5) -1600\r"; sleep 2;
echo -e "write (8,6) -1342\r"; sleep 2;
echo -e "write (8,9) -1246\r"; sleep 2;
echo -e "write (8,10) -1496\r"; sleep 2;
echo -e "write (8,11) -1419\r"; sleep 2;
echo -e "write (8,12) -1356\r"; sleep 2;
echo -e "write (8,13) -1513\r"; sleep 2;
echo -e "write (8,14) -1364\r"; sleep 2;
echo -e "write (9,0) -1627\r"; sleep 2;
echo -e "write (9,1) -1451\r"; sleep 2;
echo -e "write (9,2) -1535\r"; sleep 2;
echo -e "write (9,3) -1455\r"; sleep 2;
echo -e "write (9,4) -1463\r"; sleep 2;
echo -e "write (9,5) -1376\r"; sleep 2;
echo -e "write (9,6) -1413\r"; sleep 2;
echo -e "write (9,9) -1556\r"; sleep 2;
echo -e "write (9,10) -1504\r"; sleep 2;
echo -e "write (9,11) -1500\r"; sleep 2;
echo -e "write (9,12) -1600\r"; sleep 2;
echo -e "write (9,13) -1494\r"; sleep 2;
echo -e "write (9,14) -1408\r"; sleep 2;
echo -e "write (10,0) -1518\r"; sleep 2;
echo -e "write (10,1) -1367\r"; sleep 2;
echo -e "write (10,2) -1470\r"; sleep 2;
echo -e "write (10,3) -1618\r"; sleep 2;
echo -e "write (10,4) -1543\r"; sleep 2;
echo -e "write (10,5) -1255\r"; sleep 2;
echo -e "write (10,6) -1425\r"; sleep 2;
echo -e "write (10,9) -1649\r"; sleep 2;
echo -e "write (10,10) -1459\r"; sleep 2;
echo -e "write (10,11) -1362\r"; sleep 2;
echo -e "write (10,12) -1414\r"; sleep 2;
echo -e "write (10,13) -1435\r"; sleep 2;
echo -e "write (10,14) -1436\r"; sleep 2;
echo -e "write (11,0) -1623\r"; sleep 2;
echo -e "write (11,1) -1600\r"; sleep 2;
echo -e "write (11,2) -1346\r"; sleep 2;
echo -e "write (11,3) -1534\r"; sleep 2;
echo -e "write (11,4) -1494\r"; sleep 2;
echo -e "write (11,5) -1540\r"; sleep 2;
echo -e "write (11,6) -1600\r"; sleep 2;
echo -e "write (11,9) -1600\r"; sleep 2;
echo -e "write (11,10) -1461\r"; sleep 2;
echo -e "write (11,11) -1440\r"; sleep 2;
echo -e "write (11,12) -1346\r"; sleep 2;
echo -e "write (11,13) -1270\r"; sleep 2;
echo -e "write (11,14) -1545\r"; sleep 2;
echo -e "write (12,0) -1572\r"; sleep 2;
echo -e "write (12,1) -1414\r"; sleep 2;
echo -e "write (12,2) -1418\r"; sleep 2;
echo -e "write (12,3) -1623\r"; sleep 2;
echo -e "write (12,5) -1597\r"; sleep 2;
echo -e "write (12,6) -1291\r"; sleep 2;
echo -e "write (12,7) -1396\r"; sleep 2;
echo -e "write (12,9) -1600\r"; sleep 2;
echo -e "write (12,10) -1600\r"; sleep 2;
echo -e "write (12,11) -1426\r"; sleep 2;
echo -e "write (12,12) -1367\r"; sleep 2;
echo -e "write (12,13) -1350\r"; sleep 2;
echo -e "write (12,14) -1698\r"; sleep 2;
echo -e "write (13,0) -1600\r"; sleep 2;
echo -e "write (13,1) -1447\r"; sleep 2;
echo -e "write (13,2) -1283\r"; sleep 2;
echo -e "write (13,3) -1274\r"; sleep 2;
echo -e "write (13,4) -1378\r"; sleep 2;
echo -e "write (13,5) -1328\r"; sleep 2;
echo -e "write (13,6) -1451\r"; sleep 2;
echo -e "write (13,9) -1673\r"; sleep 2;
echo -e "write (13,10) -1535\r"; sleep 2;
echo -e "write (13,11) -1365\r"; sleep 2;
echo -e "write (13,12) -1475\r"; sleep 2;
echo -e "write (13,13) -1170\r"; sleep 2;
echo -e "write (13,14) -1600\r"; sleep 2;
echo -e "write (14,0) -1600\r"; sleep 2;
echo -e "write (14,1) -1447\r"; sleep 2;
echo -e "write (14,2) -1600\r"; sleep 2;
echo -e "write (14,3) -1600\r"; sleep 2;
echo -e "write (14,4) -1600\r"; sleep 2;
echo -e "write (14,5) -1432\r"; sleep 2;
echo -e "write (14,6) -1600\r"; sleep 2;
echo -e "write (14,9) -1367\r"; sleep 2;
echo -e "write (14,10) -1600\r"; sleep 2;
echo -e "write (14,11) -1589\r"; sleep 2;
echo -e "write (14,12) -1372\r"; sleep 2;
echo -e "write (14,13) -1395\r"; sleep 2;
echo -e "write (14,14) -1600\r"; sleep 2;
echo -e "write (15,0) -1454\r"; sleep 2;
echo -e "write (15,1) -1600\r"; sleep 2;
echo -e "write (15,2) -1413\r"; sleep 2;
echo -e "write (15,3) -1471\r"; sleep 2;
echo -e "write (15,4) -1363\r"; sleep 2;
echo -e "write (15,5) -1426\r"; sleep 2;
echo -e "write (15,6) -1388\r"; sleep 2;
echo -e "write (15,7) -1494\r"; sleep 2;
echo -e "write (15,8) -1431\r"; sleep 2;
echo -e "write (15,9) -1343\r"; sleep 2;
echo -e "write (15,10) -1340\r"; sleep 2;
echo -e "write (15,11) -1409\r"; sleep 2;
echo -e "write (15,12) -1342\r"; sleep 2;
echo -e "write (15,13) -1500\r"; sleep 2;
echo -e "write (15,14) -1329\r"; sleep 2;

sleep 2;
echo -e "read (0-15,0-15)\r";
sleep 10;
echo -e "\r";
echo -e "\r";
echo -e "^]";
sleep 1;
) | telnet fms-serv.trg.bnl.local 7005 > ../log/fms_hvon_7005_$t.tex
echo Set new HV
cat ../log/fms_hvon_7005_$t.tex
